Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
firmware::ImageStatus Struct Reference

Image upload/download status. More...

## Public Attributes
ImageState | state
| Image upload/download state.
string | error_message
| Error message; empty if there was no error.
time | time_started
| UNIX timestamp (UTC) of the last state change (if available)
int | size_total
| Total size of the image (if available)
int | size_done
| Progress of the running upload or download (if available)

## Detailed Description

Image upload/download status.

The documentation for this struct was generated from the following file:

- Firmware.idl